<template>
  <div class="home">
    <nav class="navbar navbar-light bg-light">
      <div class="container-fluid">
        <h1>Double Calculator</h1>
      </div>
    </nav>
    <div class="content">
      <div class="calculatorA">
        <Calculator cal_name="Calculator A" />
      </div>
      <div class="calculatorB">
        <Calculator cal_name="Calculator B" />
      </div>
      <div class="history">
        <CalculatorResult />
      </div>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src
// import HelloWorld from "@/components/HelloWorld.vue";
import Calculator from "@/components/Calculator.vue";
import CalculatorResult from "@/components/CalculatorResult.vue";

export default {
  name: "Home",
  components: {
    Calculator,
    CalculatorResult,
  },
};
</script>

<style scoped>
/* --------------------- top bar --------------------------*/
nav {
  background-color: white;
}
h1 {
  font-size: 2rem;
  font-weight: 400;
  margin: 0;
  padding: 0.65% 1% 0.65% 2.5%;
  color: #797d7f;
}
.navbar {
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.25);
}
/* ----------------------- content ------------------------ */
.content {
  padding: 2%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: baseline;
}
.calculatorA {
  display: flex;
  align-items: stretch;
  flex-direction: column;
  padding-left: 1%;
  padding-right: 2%;
  float: left;
  width: 26%;
}
.calculatorB {
  padding-left: 1%;
  float: left;
  width: 26%;
}

.history {
  padding-left: 3%;
  float: left;
  width: 40%;
}

/* Use a media query to add a break point at 800px: */
@media screen and (max-width: 800px) {
  .calculatorA,
  .calculatorB,
  .history {
    width: 100%;
    padding-top: 5%;
  }
}

/* Use a media query to add a break point at 1300px: */
@media screen and (max-width: 1300px) and (min-width: 800px) {
  .calculatorA,
  .calculatorB {
    width: 48%;
  }
  .history {
    padding-left: 0%;
    padding-top: 5%;
    width: 100%;
  }
}
</style>
